Name:          processing
Version:       1.5.1
Release:       %mkrel 7
Summary:       An open source programming language and environment for images, animation, and interactions
Group:         Development/Java
License:       GPLv2
Url:           http://code.google.com/p/processing/
# full package require android sdk from http://www.android.com/
# svn export http://processing.googlecode.com/svn/tags/processing-1.5.1
# rm -rf processing-1.5.1/android processing-1.5.1/java
# TODO
# java/core/libraries/dxf/dxfviewer.jar
# java/core/libraries/javascript/library/javascript.jar
# java/core/libraries/minim/library/jl1.0.jar
# java/core/libraries/minim/library/jsminim.jar
# java/core/libraries/minim/library/minim.jar
# java/core/libraries/minim/library/minim-spi.jar
# java/core/libraries/minim/library/mp3spi1.9.4.jar
# java/core/libraries/minim/library/tritonus_aos.jar
# java/core/libraries/minim/library/tritonus_share.jar
# java/core/libraries/opengl/library/gluegen-rt.jar
# jogl 2.x
# java/core/libraries/opengl/library/.jar
# java/core/libraries/opengl2/library/gluegen-rt.jar
# java/core/libraries/opengl2/library/jogl.all.jar
# java/core/libraries/opengl2/library/nativewindow.all.jar
# java/core/libraries/pdf/itext-src.zip
# java/core/libraries/pdf/library/itext.jar
# java/core/libraries/serial/library/RXTXcomm.jar
# java/core/libraries/video/QTJava.zip
# rm -rf processing-1.5.1/app/src/processing/app/macosx processing-1.5.1/app/src/processing/app/windows
# rm -rf processing-1.5.1/build processing-1.5.1/javascript
# tar czf processing-1.5.1-src-svn.tar.gz processing-1.5.1
Source0:       processing-1.5.1-src-svn.tar.gz

BuildRequires: ant
BuildRequires: antlr
BuildRequires: ant-antlr
BuildRequires: ecj
BuildRequires: java-devel
BuildRequires: jna
BuildRequires: jpackage-utils
BuildRequires: junit
Requires:      jpackage-utils
BuildArch:     noarch

%description
Processing is an open source programming language and
environment for people who want to program images,
animation, and interactions. It is used by students, artists,
designers, researchers, and hobbyists for learning, 
prototyping, and production. It is created to teach
fundamentals of computer programming within a visual context and
to serve as a software sketchbook and professional production tool.

%package core
Group:         Development/Java
Summary:       Core libraries for %{name}
Requires:      jpackage-utils

%description core
An open source programming language and environment for images, animation, and interactions.

This package contains Core libraries for %{name}.

%package app
Group:         Development/Java
Summary:       App libraries for %{name}
Requires:      %{name}-core = %{version}-%{release}
Requires:      jna
Requires:      jpackage-utils

%description app
An open source programming language and environment for images, animation, and interactions.

This package contains App libraries for %{name}.

%prep
%setup -q -n processing-%{version}
for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

for c in $(find . -name "*.class"); do
  rm -rf $c
done

pushd app
	pushd test/lib
#		app/test/lib/junit-4.8.1.jar.no
		ln -sf $(build-classpath junit4) junit-4.8.1.jar
	popd
	pushd lib
#		app/lib/antlr.jar.no
		ln -sf $(build-classpath antlr) .
#		app/lib/ecj.jar.no
		ln -sf $(build-classpath ecj) .
#		app/lib/ant-launcher.jar.no
		ln -sf $(build-classpath ant-launcher) .
#		app/lib/jna.jar.no
		ln -sf $(build-classpath jna) .
#		app/lib/ant.jar.no
		ln -sf $(build-classpath ant) .
#		app/lib/apple.jar.no
	popd
popd

%build
export JAVA_HOME=%{_jvmdir}/java
pushd core
	pushd methods
#		core/methods/methods.jar.no
		ant
	popd
	ant
popd
pushd app
	ant
popd

%install
mkdir -p %{buildroot}%{_javadir}/processing
install -pm 644 core/methods/methods.jar %{buildroot}%{_javadir}/processing/
install -pm 644 core/core.jar %{buildroot}%{_javadir}/processing/
install -pm 644 app/pde.jar %{buildroot}%{_javadir}/processing/

%files core
%{_javadir}/processing/core.jar
%{_javadir}/processing/methods.jar
%doc done.txt license.txt todo.txt

%files app
%{_javadir}/processing/pde.jar



%changelog
* Wed Mar 02 2016 daviddavid <daviddavid> 1.5.1-7.mga6
+ Revision: 983129
- First rebuild of the java stack
- fix BR junit4 now junit

* Mon Feb 08 2016 umeabot <umeabot> 1.5.1-6.mga6
+ Revision: 944725
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.5.1-5.mga5
+ Revision: 743588
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.1-4.mga5
+ Revision: 687788
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.5.1-3.mga4
+ Revision: 517678
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.5.1-2.mga3
+ Revision: 378220
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 05 2011 gil <gil> 1.5.1-1.mga2
+ Revision: 163897
- imported package processing


* Sat Jul 23 2011 gil <gil> 1.5.1-0.%%mkrel
- initial rpm

